Adopt record
curl --request POST \
--url https://yys-sqr-render-bsbe.onrender.com/api/records/{wm_id}/adopt \
--header 'Authorization: Bearer <token>'import requests
url = "https://yys-sqr-render-bsbe.onrender.com/api/records/{wm_id}/adopt"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://yys-sqr-render-bsbe.onrender.com/api/records/{wm_id}/adopt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"card": {
"watermark_id": "SQR-A1B2C",
"template_id": "pharma",
"claim_status": "unclaimed",
"description": "<string>",
"record_metadata": {
"product_name": "Aspirin",
"dosage": "100mg"
},
"image_url": "<string>",
"watermarked_image_url": "<string>",
"scan_count": 0,
"nft_token_id": 123,
"mint_transaction_hash": "<string>",
"owner_address": "<string>",
"claimed_by": "<string>",
"claim_transaction_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"minted_at": "2023-11-07T05:31:56Z",
"claimed_at": "2023-11-07T05:31:56Z"
}
}{
"error": "Not found"
}Records
Adopt record
Claim ownership of an unowned record. The record is assigned to the authenticated user.
POST
/
api
/
records
/
{wm_id}
/
adopt
Adopt record
curl --request POST \
--url https://yys-sqr-render-bsbe.onrender.com/api/records/{wm_id}/adopt \
--header 'Authorization: Bearer <token>'import requests
url = "https://yys-sqr-render-bsbe.onrender.com/api/records/{wm_id}/adopt"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://yys-sqr-render-bsbe.onrender.com/api/records/{wm_id}/adopt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"card": {
"watermark_id": "SQR-A1B2C",
"template_id": "pharma",
"claim_status": "unclaimed",
"description": "<string>",
"record_metadata": {
"product_name": "Aspirin",
"dosage": "100mg"
},
"image_url": "<string>",
"watermarked_image_url": "<string>",
"scan_count": 0,
"nft_token_id": 123,
"mint_transaction_hash": "<string>",
"owner_address": "<string>",
"claimed_by": "<string>",
"claim_transaction_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"minted_at": "2023-11-07T05:31:56Z",
"claimed_at": "2023-11-07T05:31:56Z"
}
}{
"error": "Not found"
}⌘I

